All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class OMIServerChildRepository

    com.sas.services.information.OMIServerChildRepository

All Implemented Interfaces:
  com.sas.metadata.remote.MdObjectListener, ChildRepositoryInterface, com.sas.services.information.InformationServiceTimerClient, MetadataChangeListener, OMIRepositoryInterface, RepositoryInterface, java.io.Serializable, java.rmi.Remote, java.util.EventListener

    public class OMIServerChildRepository

implements ChildRepositoryInterface

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.sas.services.information.OMIServerRepository
`OMIServerRepository.OMIEvaluator`

Field Summary

Fields inherited from class com.sas.services.information.OMIServerRepository
`_access, _defaultId, _defaultName, _defaultRepository, _desc, _effectiveAccess, _engine, _format, _isConnected, _isDestroyed, _metadataCreated, _metadataUpdated, _myType, _omiServer, _options, _path, _state, _subNum, _url, BIP_COMPONENTNAME, BIP_ROOTNAME, ROOT_CLASSIDENTIFIER`

Fields inherited from interface com.sas.services.information.RepositoryInterface
`PROFILE_BEST, PROFILE_NO, PROFILE_POSSIBLE`

Fields inherited from interface com.sas.services.information.OMIRepositoryInterface
`TYPE_CUSTOM, TYPE_FOUNDATION, TYPE_PROJECT`

Constructor Summary
`` | `OMIServerChildRepository()` The default constructor.
`protected` | `OMIServerChildRepository(java.lang.Class theClass)` Constructs an instance exporting a remote object that employs RMI socket factories appropriate for the specified class.

Method Summary
`void` | `commit()` Commit the changes in this child to its parent.
`void` | `rollback()` Roll back the changes in this child repository by deleting the cache without flushing it to the parent.

Methods inherited from class com.sas.services.information.OMIServerRepository
`addEntity, addListener, addRootFolder, addToCache, appyACTToObj, browseFetch, browseFolder, browseFolderRecursive, browseObjectByPath, browseSearch, clearInformationService, close, connect, connect, connect, connectWithProxy, createAccessControTemplate, createMetadata, deleteEntities, deleteEntity, deleteEntity, destroyAccessControlTemplate, factoryProcess, factoryTest, fetch, fetch, fetchByUrl, finalize, flush, freeCredentials, fromByteArry, getAccessControlTemplateAttribs, getAccessControlTemplateList, getACTsOnObj, getAuthorizations, getAuthorizationsOnObj, getBase, getCacheStatistics, getChildren, getCountNoSecurity, getCreateDate, getCredentials, getDefaultRepositoryId, getDefaultRepositoryName, getDomain, getEvaluator, getFactoryKey, getFolderItemRefreshInterval, getFolderSubfolderRefreshInterval, getHost, getIdentitiesOnObj, getIdentity, getInformationService, getInheritedIdentities, getInheritedPermissions, getIOMI, getISecurity, getISName, getModifiedDate, getObjectByPath, getObjectByPath, getObjectByPath, getObjectByPathString, getOMRVersion, getParentRefreshInterval, getParents, getPermissions, getPort, getPredefinedPropertyTypes, getPrincipal, getRepositories, getRepositoryAccess, getRepositoryCreatedDate, getRepositoryDescription, getRepositoryEffectiveAccess, getRepositoryEngine, getRepositoryFormat, getRepositoryOptions, getRepositoryPath, getRepositoryState, getRepositoryType, getRepositoryUpdatedDate, getReposKey, getRootFolder, getRootFolder, getRootFolders, getRootFolders, getServer, getSubNum, getTrackedObject, getUniqueId, getUrl, getUser, getUserContext, isAuthorized, isAuthorized, isAuthorizedWithConditions, isChild, isChild, isDestroyed, isEqual, isInChild, isInParent, isInProject, isParent, isParent, isProfileRepository, isUserAuthorizedInRepository, makeRootFolder, MdObjectCreated, MdObjectDeleted, MdObjectModified, MdObjectsAdded, MdObjectsCreated, MdObjectsCreated, MdObjectsDeleted, MdObjectsModified, MdObjectsModified, MdObjectsRemoved, metadataChange, narrow, newChild, newMetadata, newMetadata, newMetadataByModel, populateAttributes, produceDefaultMetadata, pulseCheck, refreshAllData, refreshEntity, removeACTFromObj, removeListener, removeRootFolder, runInformationServiceTimer, search, searchTree, searchTree, searchTreeFromBase, searchTreeFromBaseWithScope, setAccessControlTemplateAttribs, setAuthorizationsOnObj, setDomain, setFolderItemRefreshInterval, setFolderSubfolderRefreshInterval, setISName, setParentRefreshInterval, setUser, setUserContext, toByteArray, toString, trackEntity, updateEntity`

Methods inherited from interface com.sas.services.information.ChildRepositoryInterface
`close`

Methods inherited from interface com.sas.services.information.RepositoryInterface
`addEntity, addListener, addRootFolder, browseFetch, browseFolder, browseFolderRecursive, browseObjectByPath, browseSearch, connect, connect, connectWithProxy, deleteEntity, factoryProcess, factoryTest, fetch, fetch, fetchByUrl, fromByteArry, getBase, getCacheStatistics, getDomain, getEvaluator, getFactoryKey, getHost, getIdentity, getISName, getObjectByPath, getObjectByPath, getObjectByPath, getObjectByPathString, getPort, getPrincipal, getRootFolder, getRootFolders, getServer, getTrackedObject, getUniqueId, getUrl, getUser, getUserContext, isDestroyed, isEqual, isProfileRepository, makeRootFolder, narrow, newChild, newMetadata, newMetadata, newMetadataByModel, produceDefaultMetadata, refreshAllData, refreshEntity, removeListener, removeRootFolder, search, searchTree, searchTree, searchTreeFromBase, searchTreeFromBaseWithScope, setDomain, setISName, setUser, setUserContext, toByteArray`

Constructor Detail

### OMIServerChildRepository

    public OMIServerChildRepository()
                             throws java.rmi.RemoteException

  The default constructor.

  Initialize the instance. Make sure the Factory is configured, and get a LoggerInterface.

  Throws:
    `java.rmi.RemoteException` - if unable to export the remote object.

### OMIServerChildRepository

    protected OMIServerChildRepository(java.lang.Class theClass)
                                throws java.rmi.RemoteException

  Constructs an instance exporting a remote object that employs RMI socket factories appropriate for the specified class.

  Initialize the instance. Make sure the Factory is configured, and get a LoggerInterface.

  Parameters:
    `theClass` - Class which will be used to determine the appropriate RMI socket factories.
  Throws:
    `java.rmi.RemoteException` - if unable to export the remote object.

Method Detail

### commit

    public void commit()
                throws ServiceException,
                       java.rmi.RemoteException

  Description copied from interface: `ChildRepositoryInterface`
  Commit the changes in this child to its parent. If an exception is thrown during the commit, you must call rollback to close the transaction.

  Specified by:
    `commit` in interface `ChildRepositoryInterface`
  Throws:
    `ServiceException` - if unable to commit the changes to the parent.
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### rollback

    public void rollback()
                  throws ServiceException,
                         java.rmi.RemoteException

  Description copied from interface: `ChildRepositoryInterface`
  Roll back the changes in this child repository by deleting the cache without flushing it to the parent.

  Specified by:
    `rollback` in interface `ChildRepositoryInterface`
  Throws:
    `ServiceException` - if unable to rollback.
    `java.rmi.RemoteException` - if a network anomaly is encountered.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.